---
title: 'SVG: Scalable Vector Graphics'
slug: Web/SVG
tags:
  - 2D Graphics
  - Graphics
  - Icons
  - Images
  - Reference
  - Responsive Design
  - SVG
  - Scalable Graphics
  - Scalable Images
  - Vector Graphics
  - Web
  - 'l10n:priority'
---
<div>{{SVGRef}}</div>

<div class="callout-box"><strong><a href="/en-US/docs/SVG/Tutorial">Getting Started</a></strong><br>
This tutorial will help get you started using SVG.</div>

<p class="summary" style="border-top-width: 0; padding-top: 0;"><span class="seoSummary"><strong>Scalable Vector Graphics (SVG)</strong> are an <a href="/en-US/docs/XML">XML</a>-based markup language for describing two-dimensional based <a class="external" href="https://en.wikipedia.org/wiki/Vector_graphics">vector graphics</a>.</span> As such, it's a text-based, open Web standard for describing images that can be rendered cleanly at any size and are designed specifically to work well with other web standards including <a href="/en-US/docs/CSS">CSS</a>, <a href="/en-US/docs/DOM">DOM</a>, <a href="/en-US/docs/Web/JavaScript">JavaScript</a>, and <a href="/en-US/docs/Web/SVG/SVG_animation_with_SMIL">SMIL</a>. SVG is, essentially, to graphics what <a href="/en-US/docs/Web/HTML">HTML</a> is to text.</p>

<p>SVG images and their related behaviors are defined in <span class="seoSummary"><a href="/en-US/docs/XML">XML</a></span> text files, which means they can be searched, indexed, scripted, and compressed. Additionally, this means they can be created and edited with any text editor or with drawing software.</p>

<p>Compared to classic bitmapped image formats such as {{Glossary("JPEG")}} or {{Glossary("PNG")}}, SVG-format vector images can be rendered at any size without loss of quality and can be easily localized by updating the text within them, without the need of a graphical editor to do so. With proper libraries, SVG files can even be localized on-the-fly.</p>

<p>SVG has been developed by the <a href="https://www.w3.org/">World Wide Web Consortium (W3C)</a> since 1999.</p>

<div class="cleared row topicpage-table">
<div class="section">
<h2 class="Documentation" id="Documentation">Documentation</h2>

<dl>
 <dt><a href="/en-US/docs/Web/SVG/Element">SVG element reference</a></dt>
 <dd>Details about each SVG element.</dd>
 <dt><a href="/en-US/docs/Web/SVG/Attribute">SVG attribute reference</a></dt>
 <dd>Details about each SVG attribute.</dd>
 <dt><a href="/en-US/docs/Web/API/Document_Object_Model#SVG_interfaces">SVG DOM interface reference</a></dt>
 <dd>Details about the SVG DOM API, for interaction with JavaScript.</dd>
 <dt><a href="/en-US/docs/Web/SVG/Applying_SVG_effects_to_HTML_content">Applying SVG effects to HTML content</a></dt>
 <dd>SVG works together with {{Glossary("HTML")}}, {{Glossary("CSS")}} and {{Glossary("JavaScript")}}. Use SVG to <a href="/en-US/docs/Web/SVG/Tutorial/SVG_In_HTML_Introduction">enhance a regular HTML page or web application</a>.</dd>
</dl>

<p><span class="alllinks"><a href="/en-US/docs/tag/SVG">View All...</a></span></p>

<h2 class="Community" id="Community">Community</h2>

<ul>
 <li>View Mozilla forums... {{DiscussionList("dev-tech-svg", "mozilla.dev.tech.svg")}}</li>
</ul>

<h2 class="Tools" id="Tools">Tools</h2>

<ul>
 <li><a href="https://github.com/w3c/svgwg/wiki/Testing">SVG Test Suite</a></li>
 <li><a href="https://validator.w3.org/#validate_by_input">Markup Validator</a></li>
 <li><a href="/en-US/docs/tag/SVG:Tools">More Tools...</a></li>
 <li>Other resources: <a href="/en-US/docs/XML">XML</a>, <a href="/en-US/docs/CSS">CSS</a>, <a href="/en-US/docs/DOM">DOM</a>, <a href="/en-US/docs/HTML/Canvas">Canvas</a></li>
</ul>
</div>

<div class="section">
<h2 class="Related_Topics" id="Examples">Examples</h2>

<ul>
 <li>Google <a href="http://maps.google.com">Maps</a> (route overlay) &amp; <a href="http://docs.google.com">Docs</a> (spreadsheet charting)</li>
 <li><a href="http://starkravingfinkle.org/projects/demo/svg-bubblemenu-in-html.xml">SVG bubble menus</a></li>
 <li><a href="http://jwatt.org/svg/authoring/">SVG authoring guidelines</a></li>
 <li>An overview of the <a href="/en-US/docs/Mozilla_SVG_Project">Mozilla SVG Project</a></li>
 <li><a href="/en-US/docs/SVG/FAQ">Frequently asked questions</a> regarding SVG and Mozilla</li>
 <li><a href="/en-US/docs/SVG/SVG_as_an_Image">SVG as an image</a></li>
 <li><a href="/en-US/docs/SVG/SVG_animation_with_SMIL">SVG animation with SMIL</a></li>
 <li><a href="http://plurib.us/1shot/2007/svg_gallery/">SVG art gallery</a></li>
</ul>

<h3 id="Animation_and_interactions">Animation and interactions</h3>

<p>Like HTML, SVG has a document model (DOM) and events, and is accessible from JavaScript. This allows developers to create rich animations and interactive images.</p>

<ul>
 <li>Some real eye-candy SVG at <a href="http://svg-wow.org/">svg-wow.org</a></li>
 <li>Firefox extension (<a href="http://schepers.cc/grafox/">Grafox</a>) to add a subset of {{Glossary("SMIL")}} animation support</li>
 <li>Interactive <a href="http://demo.huihoo.com/amplesdk/examples/applications/svgalbum/index.html">photos</a> manipulation</li>
 <li><a href="http://starkravingfinkle.org/blog/2007/07/firefox-3-svg-foreignobject/">HTML transformations</a> using SVG's <code>foreignObject</code></li>
</ul>

<h3 id="Mapping_charting_games_3D_experiments">Mapping, charting, games &amp; 3D experiments</h3>

<p>While a little SVG can go a long way to enhanced web content, here are some examples of heavy SVG usage.</p>

<ul>
 <li><a href="https://web.archive.org/web/20131019072450/http://www.treebuilder.de/svg/connect4.svg" title="Archive link provided because source now requires authentication.">Connect 4</a></li>
 <li><a href="http://jvectormap.com/">jVectorMap</a> (interactive maps for data visualization)</li>
 <li><a href="http://jointjs.com">JointJS</a> (JavaScript diagramming library)</li>
 <li><a href="https://d3js.org">D3</a> ( JavaScript library for visualizing data with HTML, SVG, and CSS )</li>
</ul>
</div>
</div>
